Skip to main content
Version: API v1

Liefert alle hinterlegten Webhooks

GET/v1/webhooks
API version
v1
Request method
GET
Operation ID
listWebhooks

Liefert alle hinterlegten Webhooks eines bestimmten Logins

Request​

No request parameters.

Responses​

Format
application/json
Description

Eine Liste von Webhooks

  • Array[
    • *object
      • uidstring
      • urlstring (uri)required
      • methodstring (one of: GET, POST, PUT, DELETE, PATCH)required
      • eventType"DOMAIN_REGISTRATION_STATUS"required
      • headersobject
        • parametersobject
          • keystring
          • valuestring
      ]
    Content-Type: application/json

    [
    {
    "uid": "string",
    "url": "string",
    "method": "GET",
    "eventType": "DOMAIN_REGISTRATION_STATUS",
    "headers": {},
    "parameters": {
    "key": "string",
    "value": "string"
    }
    }
    ]
    {
    "type": "array",
    "items": {
    "title": "Webhook",
    "required": [
    "eventType",
    "method",
    "url"
    ],
    "type": "object",
    "properties": {
    "uid": {
    "type": "string",
    "readOnly": true
    },
    "url": {
    "type": "string",
    "format": "uri"
    },
    "method": {
    "type": "string",
    "enum": [
    "GET",
    "POST",
    "PUT",
    "DELETE",
    "PATCH"
    ]
    },
    "eventType": {
    "type": "string",
    "enum": [
    "DOMAIN_REGISTRATION_STATUS"
    ]
    },
    "headers": {
    "type": "object",
    "properties": {}
    },
    "parameters": {
    "title": "WebhookParameter",
    "type": "object",
    "properties": {
    "key": {
    "type": "string"
    },
    "value": {
    "type": "string"
    }
    }
    }
    }
    }
    }

    Usage examples​

    $ curl \
    --fail \
    --location \
    -H "Authorization: Bearer $MITTWALD_API_TOKEN" \
    https://api.mittwald.de/v1/webhooks

    On this page